Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.qd
Class SetGWorld

    java.lang.Object
      |
      +--quicktime.qd.SetGWorld

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

Deprecated. as of QTJava 4.0

public final class SetGWorld
extends java.lang.Object
implements quicktime.jdirect.QuickTimeLib

This class is used to make the incoming QDGraphics the current QDGraphics for drawing. This class is deprecated as some internal issues can potentially create problems for maintaining the set port. See QDGraphics.beginDrawing for the preferred way to do this.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`SetGWorld(QDGraphics cg)` Deprecated. QuickDraw uses a global "current graphics context".
`SetGWorld(QDGraphics cg, GDevice gdh)` Deprecated. QuickDraw uses a global "current graphics context".

Method Summary
`void` | `reset()` Deprecated. Quickdraw uses a global "current graphics context".

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetGWorld

    public SetGWorld(QDGraphics cg)
              throws QDException

  Deprecated.
  QuickDraw uses a global "current graphics context". Calling this call will save the previously current graphics context and then make the incoming QDGraphics the current context. You should call reset after you have finished with any drawing or setting of port operations. The incoming QDGraphics may NOT be null.
  QuickDraw::SetGWorld()
See Also:
  `reset`

### SetGWorld

    public SetGWorld(QDGraphics cg,
                     GDevice gdh)
              throws QDException

  Deprecated.
  QuickDraw uses a global "current graphics context". Calling this call will save the previously current graphics context and then make the incoming QDGraphics the current context. You should call reset after you have finished with any drawing or setting of port operations. The incoming QDGraphics may NOT be null.
  See Also:
    `reset`

Method Detail

### reset

    public final void reset()

  Deprecated.
  Quickdraw uses a global "current graphics context". This call should be called after you have set the context to a specific QDGraphics to reset it to the previously current one.
  See Also:
    `set`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD